document.write('<style>.bin1 {position: fixed; z-index: 5; margin: auto; right:15px; bottom:45px; font-family: sans-serif; text-align: center; color: #3c2bff; font-size: 10px; text-shadow: 1px 0 1px #bcb3d7;} .bin2 { font-size: 3em;}</style><div class="bin1">БИНАНДАГОН:<div class="bin2" id="viewCounter">0</div></div>');

// Получение количества просмотров из localStorage
let viewCount = localStorage.getItem('viewCount') || 0;

// Увеличение количества просмотров
viewCount++;
localStorage.setItem('viewCount', viewCount);

// Обновление отображения счётчика
const counterElement = document.getElementById('viewCounter');
counterElement.textContent = viewCount;

// Добавление анимации "светомузыки"
function applyGlowingEffect(element) {
    let colors = ['#ff0000', '#00ff00', '#0000ff', '#ffff00', '#2b2eff', '#15ff38', '#ff6ae7', '#8f00ff', '#ff00ff'];
    let index = 0;

    setInterval(() => {
        element.style.color = colors[index];
        element.style.textShadow = `0 0 0px ${colors[index]}, 0 0 6px ${colors[index]}`;
        index = (index + 1) % colors.length;
    }, 500); // Меняем цвет каждые 500 мс
}

// Применение эффекта к элементу счётчика
applyGlowingEffect(counterElement);